APIV1
Refund a group payment
Create a full refund back to each customer that paid into the supplied group payment.
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: group-payments.update
Path Parameters
groupPaymentId*string
A unique identifier for the group payment object.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/group-payments/string/refunds" \ -H "Content-Type: application/json" \ -d '{ "idempotencyKey": "string" }'[
{
"merchantId": "string",
"id": "string",
"paymentId": "string",
"amountMoney": {
"amount": 100,
"currency": "AED"
},
"status": "PENDING",
"reason": "string",
"referenceId": "string",
"metaData": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"gatewayVersion": 0.1,
"gatewayId": "string",
"gatewayName": "square",
"gatewayRefundId": "string"
}
]{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}